| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
stringUtils.h File Reference

Contains declarations for string manipulation functions within Cantera. More...

`#include "ct_defs.h"`
Include dependency graph for stringUtils.h:

## Detailed Description

Contains declarations for string manipulation functions within Cantera.

Definition in file stringUtils.h.

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
string | vec2str (const vector< double > &v, const string &fmt="%g", const string &sep=", ")
| Convert a vector to a string (separated by commas)
string | stripnonprint (const string &s)
| Strip non-printing characters wherever they are.
Composition | parseCompString (const string &ss, const vector< string > &names=vector< string >())
| Parse a composition string into a map consisting of individual key:composition pairs.
double | fpValue (const string &val)
| Translate a string into one double value.
double | fpValueCheck (const string &val)
| Translate a string into one double value, with error checking.
void | tokenizeString (const string &oval, vector< string > &v)
| This function separates a string up into tokens according to the location of white space.
void | tokenizePath (const string &oval, vector< string > &v)
| This function separates a string up into tokens according to the location of path separators.
size_t | copyString (const string &source, char *dest, size_t length)
| Copy the contents of a string into a char array of a given length.
string | trimCopy (const string &input)
| Trim.
string | toLowerCopy (const string &input)
| Convert to lower case.
bool | caseInsensitiveEquals (const string &input, const string &test)
| Case insensitive equality predicate.